Firefox Flashplayer Plugin

Flash is said to be on its way out. That may be the case, however, I still need it. The last NPAPI Flashplayer plugin Adobe built for Linux is version 11.2. Adobe continues to update their plugin and are at version 22 for other platforms but not Linux and some sites will block the older version of Flash. If this is a problem for you then install the latest version of Flashplayer with a PPAPI wrapper into Firefox. This is the same plugin that is used by Chrome/Chromium browsers and is still maintained.

There are three methods listed here, a third will be available once I'm sure the script works properly:



Graphic User Interface Method

Set up the Packman repository following these instructions.

Open up the Software Manager from YaST

Search for and select: 

freshplayerplugin
chromium-pepper-flash

Select Accept

Restart Firefox and you're done.


Terminal Install Method

Open a terminal like konsole. 

| This can be done by pressing Alt+F2 and typing in either "terminal" or "konsole" 

Copy and paste this to add the Packman Repository:

openSUSE Leap 42.1

sudo zypper --gpg-auto-import-keys ar -f http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.1/ Packman

openSUSE Leap 42.2

sudo zypper --gpg-auto-import-keys ar -f http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.2/ Packman

Add the necessary packages

sudo zypper in freshplayerplugin chromium-pepper-flash

Restart Firefox and you're done.


One Click Install Method

Not ready yet but will be coming soon


Comments